#
# spec file for package xmlcharent
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmlcharent
Version:        0.3
Release:        429.8
Summary:        XML Character Entities
License:        BSD-3-Clause
Group:          Productivity/Publishing/XML
URL:            http://www.oasis-open.org/docbook/xmlcharent/
Source0:        xmlcharent-0.3.tar.bz2
Source1:        xmlcharent.xml
Source2:        xmlcharent.sgml
Requires:       sgml-skel >= 0.7
Requires(post): sgml-skel >= 0.7
Requires(postun):sgml-skel >= 0.7
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
XML encodings for the 19 standard character entity sets defined in
non-normative Annex D of [ISO 8879:1986].

%prep
%setup -q -n %{name}-%{version}
sed 's|__DIR__|%{_datadir}/%{name}|' %{SOURCE1} > xmlcharent.xml
sed 's|__DIR__|%{_datadir}/%{name}|' %{SOURCE2} > xmlcharent.sgml

%build

%install
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}/entities/
%{__install} -m 0664 -D *.ent %{buildroot}%{_datadir}/%{name}/entities/
%{__install} -m 0644 -D xmlcharent.xml %{buildroot}%{_sysconfdir}/xml/catalog.d/%{name}.xml
%{__install} -m 0644 -D xmlcharent.sgml %{buildroot}%{_datadir}/%{name}/%{name}.sgml

%post
update-xml-catalog
sgml-register-catalog -a %{_datadir}/%{name}/%{name}.sgml

%postun
update-xml-catalog
if ! test -e %{_datadir}/%{name}/%{name}.sgml
then
    sgml-register-catalog -r %{_datadir}/%{name}/%{name}.sgml
fi

%files
%defattr(-, root, root)
%{_datadir}/%{name}
%{_sysconfdir}/xml/catalog.d/%{name}.xml

%changelog
* Tue May 24 2022 Dr. Werner Fink <werner@suse.de>
- Handle update case as well (boo#1199754)
* Mon Jul 18 2016 fvogt@suse.com
- Use update-xml-catalog
* Tue Aug  5 2014 rsalevsky@suse.com
- fix I/O error on installation
* Wed May 28 2014 rsalevsky@suse.com
- using the xml-group-manager to manage the catalog entrys
* Thu Dec 24 2009 aj@suse.de
- Only remove file from catalog if it disappeared.
- Do not use release numbers, they're not needed anymore.
* Mon Jan 26 2009 crrodriguez@suse.de
- test if /usr/bin/edit-xml-catalog is executable before using it.
* Thu Mar 29 2007 ke@suse.de
- Add BuildRequires: unzip
* Thu Jan 11 2007 ke@suse.de
- Remove /usr/share/xml from the files list.
* Thu Aug 17 2006 ke@suse.de
- Remove SuSEconfig call and a %%post warning for SL < 8.1.
* Sun Feb 19 2006 ro@suse.de
- modify setup line in spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  3 2004 ke@suse.de
- catalog.xml: Add namespace attribute as reported by Thomas Schraitle.
* Mon May 24 2004 ke@suse.de
- Fix syntax of catalog.xml.
* Mon Feb  9 2004 ke@suse.de
- Adjust directories according to FHS 2.3:
  * Move entity files to /usr/share/xml/entities/xmlcharent
  * Provide compatibility links for SL =< 9.0 (log this info in
    /var/adm/SuSEconfig/run-sgmldir-links for later processing).
* Thu Feb  5 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jul 11 2003 ke@suse.de
- Fix typo in suse-catalog.xml entry: s/MathML/ISO 8879:1986/ .
* Fri Jun  6 2003 ke@suse.de
- Unregister sgml catalog at deinstallation only.
* Wed Apr 30 2003 ke@suse.de
- Use /etc/xml/suse-catalog.xml instead of /etc/xml/catalog.
* Fri Dec 13 2002 ke@suse.de
- Now use the original .zip file.
- Remove spurious entry from CATALOG.xmlcharent; reported by Thomas
  Schraitle.
- Register catalog file using sgml-register-catalog.
* Mon Jun 24 2002 ke@suse.de
- Initial package: version 0.3cvs (released zip file isn't
  accessible since several days...).
